
From: Alexey Dobriyan <adobriyan@mail.ru>

Fix menuconfig inability to show help texts when there is menu item with
letter "H" highlighted on the screen.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/lxdialog/menubox.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN scripts/lxdialog/menubox.c~fix-menuconfig-partial-inability-to-show-help-texts scripts/lxdialog/menubox.c
--- 25/scripts/lxdialog/menubox.c~fix-menuconfig-partial-inability-to-show-help-texts	2004-07-26 14:55:15.336852744 -0700
+++ 25-akpm/scripts/lxdialog/menubox.c	2004-07-26 14:55:15.340852136 -0700
@@ -71,7 +71,7 @@ print_item (WINDOW * win, const char *it
 
     strncpy(menu_item, item, menu_width);
     menu_item[menu_width] = 0;
-    j = first_alpha(menu_item, "YyNnMm");
+    j = first_alpha(menu_item, "YyNnMmHh");
 
     /* Clear 'residue' of last item */
     wattrset (win, menubox_attr);
@@ -279,17 +279,17 @@ dialog_menu (const char *title, const ch
 
 	if (key < 256 && isalpha(key)) key = tolower(key);
 
-	if (strchr("ynm", key))
+	if (strchr("ynmh", key))
 		i = max_choice;
 	else {
         for (i = choice+1; i < max_choice; i++) {
-		j = first_alpha(items[(scroll+i)*2+1], "YyNnMm");
+		j = first_alpha(items[(scroll+i)*2+1], "YyNnMmHh");
 		if (key == tolower(items[(scroll+i)*2+1][j]))
                 	break;
 	}
 	if (i == max_choice)
        		for (i = 0; i < max_choice; i++) {
-			j = first_alpha(items[(scroll+i)*2+1], "YyNnMm");
+			j = first_alpha(items[(scroll+i)*2+1], "YyNnMmHh");
 			if (key == tolower(items[(scroll+i)*2+1][j]))
                 		break;
 		}
_
